/'
   Screen2AVI Object ver .91
   by Vincent DeCampo, (c)2009

   This program is free software: you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public License
as published by the Free Software Foundation, either version 3 of
the License, or (at your option) any later version.

   This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
'/

#Include Once "win/vfw.bi"

#Ifndef __MAKELIB__
   #Inclib "screen2avi"
#EndIf

Type _Screen2AVI
   Declare Constructor (filename As String, framerate As Integer)
   Declare Destructor  ()
   Declare Function AVIStart() As Integer
   Declare Function AddFrame() As Integer
   Declare Function AVIStop() As Integer
   Declare Function LoadCompressionFile(filename As String) As Integer
   Declare Function SaveCompressionFile(filename As String) As Integer
   Declare Function GetCompressionSettings() As Integer
Private:
   As PAVIFILE               pf
   As PAVISTREAM             ps_vid   
   As PAVISTREAM             ps_vid_comp
   As AVISTREAMINFO          strhdr_vid
   As AVICOMPRESSOPTIONS Ptr opts
   As BITMAPINFOHEADER       bi
   As Integer dx,dy,bpp,fps,pitch,fcount,imgsize,options_from_file
   As Integer keyframe_every = 300
End Type

